<ion-header>
  <ion-toolbar transparent>
    <ion-title>Request for Leave</ion-title>
    <ion-buttons slot='end'>
      <ion-button icon-only (click)="close()">
        <ion-icon name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">

  <ion-list>
    <ion-select (ionChange)="onChange()" placeholder="Select Course" [(ngModel)]="SelectedCourseID" okText="Okay"
      cancelText="Dismiss">
      <ion-select-option *ngFor="let course of courses" value={{course.CurrentCourse._id}}>
        {{course.CurrentCourse.Code + '-0' + course.CurrentCourse.Section}}
      </ion-select-option>
    </ion-select>

    <ion-item>
      <ion-label>{{ course }} </ion-label>
      <ion-label>{{ lecturer }} </ion-label>
    </ion-item>

    <ion-item>
      <ion-label>Date </ion-label>
      <ion-input [(ngModel)]="date" type="date"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label position='floating'>Reason </ion-label>
      <ion-textarea [(ngModel)]="reason" type="text"></ion-textarea>
    </ion-item>

    <!-- <ion-item>
      <ion-label>Attachments </ion-label>
      <ion-input [(ngModel)]="file" type="file"></ion-input>
    </ion-item> -->

  </ion-list>

  <ion-button expand='block' color="primary" (click)="save()">Save</ion-button>

</ion-content>
